from __future__ import annotations

from typing import *  # type: ignore

import rio
from from_root import from_root

from .page_builder import build_page
from .. import components as comps


class Imprint(rio.Component):
    @rio.event.on_populate
    async def on_populate(self) -> None:
        await self.session.set_title("EZ GG e.V. - Impressum")

    def build(self) -> rio.Component:
        return build_page(rio.Column(
            comps.NewsPost(
                header="Impressum",
                article_text="""
#### Einfach Zocken Genuss Gesellschaft e.V.
```txt
Im Elchgrund 18

35080 Bad Endbach - Bottenhorn

Telefon: +4917657993174

E-Mail: davidr.develop@gmail.com
```

#### Vertreten durch:
```txt
David Rodenkirchen

Julia Albring
```

#### Registereintrag:
```txt
Eingetragen im Vereinsregister.

Registergericht: Amtsgericht Marburg

Registernummer: - folgt -
```
                """,
                date=""
            )
        ))
